// components/navBar.js

Component({
  /**
   * 组件的属性列表
   */
  externalClasses:['myclass','colorCalss'],
  properties: {
    navName: {
      type: String,
      value: "",
      observer(newval) {
        this.setData({
          name: newval,
        });
      },
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    name:''
  },

  /**
   * 组件的方法列表
   */
  methods: {
   
    goBack(){
        wx.navigateBack({
            delta: 1,
            fail:function(){
              wx.reLaunch({
                url: '/pages/index/index',
              })
            }
          })
    },
    
  }
})
